package service

import (
	"electricity_bill_calc/global"
	"electricity_bill_calc/model"
)

type _ParkService struct{}

var ParkService _ParkService

func (_ParkService) SaveNewPark(park model.Park) error {
	_, err := global.DBConn.Insert(park)
	if err != nil {
		return err
	}
	return nil
}

func (_ParkService) UpdateParkInfo(park *model.Park) error {
	_, err := global.DBConn.ID(park.Id).Cols("name", "abbr", "region", "address", "contact", "phone", "capacity", "tenement_quantity", "category", "meter_04kv_type").Update(park)
	if err != nil {
		return err
	}
	return nil
}
